<div class="bar">
  <br>
  <h1>&nbsp;Student Details Management</h1>
</div>

<mat-tab-group mat-align-tabs="center">
    <mat-tab label="List Students">
      <br>
      <mat-card>
        <form #userPost1="ngForm" fxlayoutAlign="stretch" fxlayout="column" (ngSubmit)="getStudent(userPost1.value)">
        <b>
          <h1>
            Find Student data
          </h1>
          <mat-form-field appearance="fill">
            <input matInput name="rollno" type="number" [(ngModel)]="roll" placeholder="Roll Number">
          </mat-form-field> 
          &nbsp;&nbsp;&nbsp;&nbsp;
          <button mat-button type="submit" fxlayout="column">Search</button>
          </b>
          <div *ngIf="student" >
            <b>
            <mat-grid-list cols="5" rowHeight="8:1" >
              <mat-grid-tile class="heading">Name</mat-grid-tile>
              <mat-grid-tile class="heading">Roll Number</mat-grid-tile>
              <mat-grid-tile class="heading">Phone Number</mat-grid-tile>
              <mat-grid-tile class="heading">Age</mat-grid-tile>
              <mat-grid-tile class="heading"></mat-grid-tile>
            </mat-grid-list>
        </b>
        <mat-grid-list cols="5" rowHeight="8:1">
            <mat-grid-tile class="detail">{{student.name}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.rollno}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.phn}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.age}}</mat-grid-tile>
            <mat-grid-tile><button type="submit" (click)="delete(student.rollno)" style="cursor: pointer;">delete</button></mat-grid-tile>
        </mat-grid-list>
      </div>
    </form>
    </mat-card>

      <!-- <div *ngIf="!roll"> -->
        <b>
          <mat-grid-list cols="5" rowHeight="8:1" >
              <mat-grid-tile class="heading">Name</mat-grid-tile>
              <mat-grid-tile class="heading">Roll Number</mat-grid-tile>
              <mat-grid-tile class="heading">Phone Number</mat-grid-tile>
              <mat-grid-tile class="heading">Age</mat-grid-tile>
              <mat-grid-tile class="heading"></mat-grid-tile>
          </mat-grid-list>
        </b>
        <mat-grid-list cols="5" rowHeight="5:1"  *ngFor="let student of students">
            <mat-grid-tile class="detail">{{student.name}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.rollno}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.phn}}</mat-grid-tile>
            <mat-grid-tile class="detail">{{student.age}}</mat-grid-tile>
            <mat-grid-tile><button type="submit" (click)="delete(student.rollno)" style="cursor: pointer;">delete</button></mat-grid-tile>
        </mat-grid-list>
      <!-- </div> -->

    </mat-tab>
    <mat-tab label="Add Student">
        <mat-card fxLayoutAlign="center center" fxFlexFill>
            <form #userPost="ngForm" fxlayoutAlign="stretch" fxlayout="column" (ngSubmit)="addStudent(userPost.value)">
              <h1>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add Student
              </h1>
              <mat-form-field appearance="fill">
                <input matInput name="name" type="text" ngModel placeholder="Name">
              </mat-form-field>
              <br>
              <mat-form-field appearance="fill">
                <input matInput name="rollno" ngModel type="number" placeholder="Roll Number" autocomplete="false">
              </mat-form-field>
              <br>
              <mat-form-field appearance="fill">
                <input matInput name="age" ngModel type="number" placeholder="Age">
              </mat-form-field>
              <br>
              <mat-form-field appearance="fill">
                <input matInput name="phn" ngModel type="number" placeholder="Phone Number">
              </mat-form-field>
              <br>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <button mat-button type="submit" fxlayout="column">Add Student</button>
        
            </form>
        </mat-card>        
    </mat-tab>
    
    <!-- <mat-tab label="Search Student">
        <mat-card >
            <form #userPost1="ngForm" fxlayoutAlign="stretch" fxlayout="column" (ngSubmit)="getStudent(userPost1.value)">
            <b>
              <mat-toolbar>
                <span>Search student</span>
              </mat-toolbar>
              <br><br>
              <mat-form-field appearance="fill">
                <input matInput name="rollno" type="number" ngModel placeholder="Roll Number">
              </mat-form-field> 
              &nbsp;&nbsp;&nbsp;&nbsp;
              <button mat-button type="submit" fxlayout="column">Search</button>
              <mat-grid-list cols="4" rowHeight="80" *ngIf="student">
                <mat-grid-tile>Name</mat-grid-tile>
                <mat-grid-tile>Roll Number</mat-grid-tile>
                <mat-grid-tile>Phone Number</mat-grid-tile>
                <mat-grid-tile>Age</mat-grid-tile>
            </mat-grid-list>
          </b>
            <mat-grid-list cols="4" rowHeight="8:1" *ngIf="student">
                <mat-grid-tile class="detail">{{student.name}}</mat-grid-tile>
                <mat-grid-tile class="detail">{{student.rollno}}</mat-grid-tile>
                <mat-grid-tile class="detail">{{student.phn}}</mat-grid-tile>
                <mat-grid-tile class="detail">{{student.age}}</mat-grid-tile>
            </mat-grid-list>
        </form>
        </mat-card>
       </mat-tab>-->
        <mat-tab label="Update Student">
            <mat-card fxLayoutAlign="center center" fxFlexFill>
                <form #userPost2="ngForm" fxlayoutAlign="stretch" (ngSubmit)="getStudent1(userPost2.value)" *ngIf="!student1">
                  <h1>
                    <span>Update student</span>
                  </h1>
                  <br>
                  <mat-form-field appearance="fill">
                    <input matInput name="rollno" type="number" ngModel placeholder="Roll Number">
                  </mat-form-field> 
                  &nbsp;&nbsp;&nbsp;&nbsp;
                  <button mat-button type="submit" fxlayout="column">Search</button>
                </form>

                <form fxFlex="17" fxlayoutAlign="stretch" #userPost3="ngForm" *ngIf="student1" (ngSubmit)="addStudent(userPost3.value)">
                  <h1>
                    Update student
                  </h1>
                  <br>
                  <label><b>Name</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                  <mat-form-field fxlayout="column" appearance="fill">
                    <input matInput name="name" type="text" [(ngModel)]="student1.name" required />
                  </mat-form-field>
                  <br>
                  <label><b>Roll Number</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                  <mat-form-field fxlayout="column" appearance="fill">
                      <input matInput name="rollno" type="text" [(ngModel)]="student1.rollno" [readonly]="true"  required />
                  </mat-form-field>
                  <br>
                  <label><b>Age</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                  <mat-form-field fxlayout="column" appearance="fill">
                    <input matInput name="age" type="number" [(ngModel)]="student1.age" required />
                  </mat-form-field>
                  <br>
                  <label><b>Phone Number</b>&nbsp;&nbsp;&nbsp;</label>
                  <mat-form-field fxlayout="column" appearance="fill">
                    <input matInput name="phn" type="tel" [(ngModel)]="student1.phn" required />
                  </mat-form-field>
                  <br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button mat-button type="submit" fxlayout="column">Update</button>                
                </form>
             </mat-card>
        </mat-tab>
    
</mat-tab-group>